db:
  image: mongo

php:
  build: ./docker/php
  command: 'bash -c "composer update -d /app && php-fpm"'
  volumes:
    - ./app:/app
  links:
    - db:db
    - rabbit:rabbit

nginx:
  image: nginx
  volumes:
    - ./nginx.conf:/etc/nginx/conf.d/default.conf
    - ./app:/app
  ports:
    - 8080:80
  links:
    - php:php

rabbit:
  build: ./docker/rabbit
  ports:
    - 8081:15672
  
powershell:
  build: ./docker/powershell
  command: '/usr/bin/python /worker.py'
  volumes:
    - ./worker.py:/worker.py
  links:
    - db:db
    - rabbit:rabbit